Gecode::Float::Branch::ValCommitLqGq Class Reference
Other available functionality » Float value commit classes

Value commit class for less or equal or greater or equal. More...

`#include <branch.hh>`

## Public Member Functions

| ValCommitLqGq (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
| ValCommitLqGq (Space &home, ValCommitLqGq &vc)
| Constructor for cloning.
ModEvent | commit (Space &home, unsigned int a, FloatView x, int i, FloatNumBranch n)
| Commit view x at position i to value n for alternative a.
NGL * | ngl (Space &home, unsigned int a, FloatView x, FloatNumBranch n) const
| Create no-good literal for alternative a.
void | print (const Space &home, unsigned int a, FloatView x, int i, FloatNumBranch n, std::ostream &o) const
| Print on o the alternative with view x at position i and value n.
Public Member Functions inherited from Gecode::ValCommit< FloatView, FloatVal >
| ValCommit (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value commit.

## Additional Inherited Members

Public Types inherited from Gecode::ValCommit< FloatView, FloatVal >
typedef FloatView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef FloatVal | Val
| Value type.

## Detailed Description

Value commit class for less or equal or greater or equal.

Requires

#include <gecode/float/branch.hh>
branch.hh

Definition at line 298 of file branch.hh.

## Constructor & Destructor Documentation

## ValCommitLqGq() [1/2]

Gecode::Float::Branch::ValCommitLqGq::ValCommitLqGq | ( | Space & | home,
|  | const ValBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 41 of file val-commit.hpp.

## ValCommitLqGq() [2/2]

Gecode::Float::Branch::ValCommitLqGq::ValCommitLqGq | ( | Space & | home,
|  | ValCommitLqGq & | vc )

inline

Constructor for cloning.

Definition at line 44 of file val-commit.hpp.

## Member Function Documentation

## commit()

ModEvent Gecode::Float::Branch::ValCommitLqGq::commit | ( | Space & | home,
|  | unsigned int | a,
|  | FloatView | x,
|  | int | i,
|  | FloatNumBranch | n )

inline

Commit view x at position i to value n for alternative a.

Definition at line 47 of file val-commit.hpp.

## ngl()

NGL * Gecode::Float::Branch::ValCommitLqGq::ngl | ( | Space & | home,
|  | unsigned int | a,
|  | FloatView | x,
|  | FloatNumBranch | n ) const

inline

Create no-good literal for alternative a.

Definition at line 63 of file val-commit.hpp.

## print()

void Gecode::Float::Branch::ValCommitLqGq::print | ( | const Space & | home,
|  | unsigned int | a,
|  | FloatView | x,
|  | int | i,
|  | FloatNumBranch | n,
|  | std::ostream & | o ) const

inline

Print on o the alternative with view x at position i and value n.

Definition at line 67 of file val-commit.hpp.

The documentation for this class was generated from the following files:

- gecode/float/branch.hh
- gecode/float/branch/val-commit.hpp